# SPDX-FileCopyrightText: © 2024 The River Developers
# SPDX-FileCopyrightText: © 2026 Ben Buhse
# SPDX-License-Identifier: 0BSD

name: Bug Report
description: File a bug report
labels: ["bug"]
body:
  - type: markdown
    attributes:
      value: |
        Please provide as many details as possible, we must be able to
        understand the bug in order to fix it.
  - type: input
    id: version
    attributes:
      label: beansprout Version
      description: |
        The output of `beansprout -version`.
      placeholder: "0.3.0-dev.1+494469a"
    validations:
      required: true
  - type: textarea
    id: repro
    attributes:
      label: Description of Bug and Steps to Reproduce
      description: Exactly what steps can someone else take to see the bug themselves? What happens?
    validations:
      required: true
  - type: markdown
    attributes:
      value: |
        Please provide as many details as possible, we must be able to
        understand the bug in order to fix it.

        Use a debug build of beansprout if possible to get a better quality
        stacktrace in the case of a crash:
        ```
        zig build -Doptimize=Debug <other desired options>
        ```

        Set the log level to debug and redirect beansprout's stderr to a file:
        ```
        beansprout -log-level debug 2> beansprout.log
        ```
        Reproduce your problem and exit beansprout.

        If the issue is with a specific Wayland client (e.g. firefox) a log of the
        Wayland protocol messages between the client and beansprout is often very helpful.
        Obtain one by setting WAYLAND_DEBUG=1 and redirecting stderr to a file.
        ```
        WAYLAND_DEBUG=1 firefox 2> firefox.log
        ```
  - type: textarea
    id: logs
    attributes:
      label: Relevant logs, Stacktraces, etc.
